/**
 * @copyright 2015 Indie Semiconductor.
 *
 * This file is proprietary to Indie Semiconductor.
 * All rights reserved. Reproduction or distribution, in whole
 * or in part, is forbidden except by express written permission
 * of Indie Semiconductor.
 *
 * @file irq_enum.h
 */

#ifndef __IRQ_SFRS_H__
#define __IRQ_SFRS_H__

/** 
 * @brief The enumeration of Interrupt Number Assignments
 */
typedef enum IRQn
{
/******** Cortex-M0 Processor Exceptions Numbers *************************/
  HardFault_IRQn       = -13,    /*!<  Hard Fault Interrupt */
  SVCall_IRQn          = -5,     /*!< SV Call Interrupt */
  PendSV_IRQn          = -2,     /*!< Pend SV Interrupt */
  SysTick_IRQn         = -1,     /*!< System Tick Interrupt */

/********  Cortex-M0 specific Interrupt Numbers **************************/
  BrownOut_IRQn     	= 0,    /*!< Brown out interrupt */
  ClkMon_IRQn       	= 1,    /*!< Clock monitor interrupt */
  SPI_IRQn       	= 2,    /*!< SPI interrupt */
  PIN_IRQn          	= 3,    /*!< Pin Change interrupt */
  RFRE_IRQn             = 4,    /*!< IRQ 4 RF: Rising Edge base band signal reception interrupt */	
  RFFE_IRQn             = 5,    /*!< IRQ 5 RF: Falling Edge base band signal reception interrupt */
  TX_DONE_IRQn          = 6,    /*!< IRQ  RF: Burst transmission done interrupt */
  TX_RELOAD_IRQn        = 7,    /*!< IRQ 6 RF: Transmission FIFO reload interrupt */
  UART_IRQn             = 8,    /*!< UART interrupt */
  ALARM0_IRQn           = 9,    /*!< RTC alarm 0 interrupt */
  ALARM1_IRQn           = 10,   /*!< RTC alarm 1 interrupt */
  RTC_OVFL_IRQn         = 11,   /*!< RTC overflow interrupt */
  RFMSG_IRQn            = 12,   /*!< RF: message received interrupt */
  PIR_EVENT_IRQn        = 13,   /*!< PIR event interrupt */
  TIMER0_IRQn           = 16,   /*!< Timer 0 Interrupt */
  TIMER1_IRQn           = 17,   /*!< Timer 1 Interrupt */
  TIMER2_IRQn           = 18,   /*!< Timer 2 Interrupt */
  WATCHDOG_IRQn         = 19    /*!< Watchdog timer Interrupt */
} IRQn_Type;

#endif /* __IRQ_SFRS_H__ */