/**
 * @copyright 2015 Indie Semiconductor.
 *
 * This file is proprietary to Indie Semiconductor.
 * All rights reserved. Reproduction or distribution, in whole
 * or in part, is forbidden except by express written permission
 * of Indie Semiconductor.
 *
 * @file flash_device.c
 */

#include <stdint.h>
#include "flash_device.h"

__ramfunc void Flash_devEraseBlock(uint32_t addr)
{
    f_FLASH_EraseBlock(addr);
    while(f_FLASH_CheckErasingBlock());
}

__ramfunc void Flash_devEraseSector(uint32_t addr)
{
    f_FLASH_EraseSector(addr);
    while(f_FLASH_CheckErasingSector());
}

__ramfunc void Flash_devCopyToFlash(uint8_t *src, uint8_t *dest, uint32_t size)
{
    uint32_t i;
    uint8_t *src_addr, *dest_addr;

    src_addr = src;
    dest_addr = dest;
    for (i = 0; i < size; i++) {
        f_FLASH_WriteByte((uint32_t)src_addr, *dest_addr);
        src_addr++;
        dest_addr++;     
        while(f_FLASH_CheckWritingByte());
    }
}
