/**
 * @copyright 2015 Indie Semiconductor.
 *
 * This file is proprietary to Indie Semiconductor.
 * All rights reserved. Reproduction or distribution, in whole
 * or in part, is forbidden except by express written permission
 * of Indie Semiconductor.
 *
 * @file led_sfrs.c
 */

#include <stdint.h>
#include "hdf.h"

void f_LED_On(uint8_t pos)
{
    LED_SFRS->LEDCFG[pos].LEDEN = 1;
}

void f_LED_Off(uint8_t pos)
{
    LED_SFRS->LEDCFG[pos].LEDEN = 0;
}

void f_LED_SetLightLevel(uint8_t pos, uint8_t level)
{
    LED_SFRS->LEDCFG[pos].ISEL = (level * 15) / 100;
}
