/**
 * @copyright 2015 Indie Semiconductor.
 *
 * This file is proprietary to Indie Semiconductor.
 * All rights reserved. Reproduction or distribution, in whole
 * or in part, is forbidden except by express written permission
 * of Indie Semiconductor.
 *
 * @file pir_sfrs.c
 */

#include "hdf.h"

void PIR_Enable(void)
{
    PIR_SFRS->ENABLE.ENABLE = 1;
}

void PIR_Disable(void)
{
    PIR_SFRS->ENABLE.ENABLE = 0;
}

void PIR_SetCounter(uint16_t val)
{
    PIR_SFRS->CTRL.PIRC = val;
}

void PIR_SetDivider(uint8_t val)
{
    PIR_SFRS->CTRL.PIRDIV = val;
}

void PIR_SetInhibit(uint8_t val)
{
    PIR_SFRS->CTRL.INHB = val;
}

void PIR_SetAtten(uint8_t val)
{
    PIR_SFRS->ATTEN.PROGATT = val;
}
